~samwhited/xmpp

83b3f5ce04c276846b6f2184ebfcc5817776eb04 — Sam Whited 1 year, 2 months ago 9cd998c
xmpp: bump minimum supported Go version to 1.14

Document that the lowest version of Go that we currently support is Go
1.14.

Signed-off-by: Sam Whited <sam@samwhited.com>
2 files changed, 7 insertions(+), 1 deletions(-)

M CHANGELOG.md
M go.mod
M CHANGELOG.md => CHANGELOG.md +6 -0
@@ 5,6 5,12 @@ All notable changes to this project will be documented in this file.

## Unreleased

### Breaking

- roster: remove workaround for a bug in Go versions prior to 1.14 which is now
  the earliest supported version


### Fixed

- stanza: converting stanzas with empty to/from attributes no longer fails

M go.mod => go.mod +1 -1
@@ 1,6 1,6 @@
module mellium.im/xmpp

go 1.13
go 1.14

require (
	golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4 // indirect